LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBSymbolContext Class Reference

`#include <SBSymbolContext.h>`

## Public Member Functions

| SBSymbolContext ()
| SBSymbolContext (const lldb::SBSymbolContext &rhs)
| ~SBSymbolContext ()
bool | IsValid () const
const lldb::SBSymbolContext & | operator= (const lldb::SBSymbolContext &rhs)
lldb::SBModule | GetModule ()
lldb::SBCompileUnit | GetCompileUnit ()
lldb::SBFunction | GetFunction ()
lldb::SBBlock | GetBlock ()
lldb::SBLineEntry | GetLineEntry ()
lldb::SBSymbol | GetSymbol ()
void | SetModule (lldb::SBModule module)
void | SetCompileUnit (lldb::SBCompileUnit compile_unit)
void | SetFunction (lldb::SBFunction function)
void | SetBlock (lldb::SBBlock block)
void | SetLineEntry (lldb::SBLineEntry line_entry)
void | SetSymbol (lldb::SBSymbol symbol)
SBSymbolContext | GetParentOfInlinedScope (const SBAddress &curr_frame_pc, SBAddress &parent_frame_addr) const
bool | GetDescription (lldb::SBStream &description)

## Protected Member Functions

lldb_private::SymbolContext * | operator-> () const
lldb_private::SymbolContext & | operator* ()
lldb_private::SymbolContext & | ref ()
const lldb_private::SymbolContext & | operator* () const
lldb_private::SymbolContext * | get () const
| SBSymbolContext (const lldb_private::SymbolContext *sc_ptr)
void | SetSymbolContext (const lldb_private::SymbolContext *sc_ptr)

## Friends

class | SBAddress
class | SBFrame
class | SBModule
class | SBThread
class | SBTarget
class | SBSymbolContextList

## Detailed Description

Definition at line 23 of file SBSymbolContext.h.

## Constructor & Destructor Documentation

lldb::SBSymbolContext::SBSymbolContext | ( |  | ) |

lldb::SBSymbolContext::SBSymbolContext | ( | const lldb::SBSymbolContext & | rhs | ) |

lldb::SBSymbolContext::~SBSymbolContext | ( |  | ) |

lldb::SBSymbolContext::SBSymbolContext | ( | const lldb_private::SymbolContext * | sc_ptr | ) |

protected

## Member Function Documentation

lldb_private::SymbolContext* lldb::SBSymbolContext::get | ( |  | ) | const

protected

lldb::SBBlock lldb::SBSymbolContext::GetBlock | ( |  | ) |

lldb::SBCompileUnit lldb::SBSymbolContext::GetCompileUnit | ( |  | ) |

bool lldb::SBSymbolContext::GetDescription | ( | lldb::SBStream & | description | ) |

lldb::SBFunction lldb::SBSymbolContext::GetFunction | ( |  | ) |

lldb::SBLineEntry lldb::SBSymbolContext::GetLineEntry | ( |  | ) |

lldb::SBModule lldb::SBSymbolContext::GetModule | ( |  | ) |

SBSymbolContext lldb::SBSymbolContext::GetParentOfInlinedScope | ( | const SBAddress & | curr_frame_pc,
|  | SBAddress & | parent_frame_addr
| ) |  | const

lldb::SBSymbol lldb::SBSymbolContext::GetSymbol | ( |  | ) |

bool lldb::SBSymbolContext::IsValid | ( |  | ) | const

lldb_private::SymbolContext& lldb::SBSymbolContext::operator* | ( |  | ) |

protected

const lldb_private::SymbolContext& lldb::SBSymbolContext::operator* | ( |  | ) | const

protected

lldb_private::SymbolContext* lldb::SBSymbolContext::operator-> | ( |  | ) | const

protected

const lldb::SBSymbolContext& lldb::SBSymbolContext::operator= | ( | const lldb::SBSymbolContext & | rhs | ) |

lldb_private::SymbolContext& lldb::SBSymbolContext::ref | ( |  | ) |

protected

void lldb::SBSymbolContext::SetBlock | ( | lldb::SBBlock | block | ) |

void lldb::SBSymbolContext::SetCompileUnit | ( | lldb::SBCompileUnit | compile_unit | ) |

void lldb::SBSymbolContext::SetFunction | ( | lldb::SBFunction | function | ) |

void lldb::SBSymbolContext::SetLineEntry | ( | lldb::SBLineEntry | line_entry | ) |

void lldb::SBSymbolContext::SetModule | ( | lldb::SBModule | module | ) |

void lldb::SBSymbolContext::SetSymbol | ( | lldb::SBSymbol | symbol | ) |

void lldb::SBSymbolContext::SetSymbolContext | ( | const lldb_private::SymbolContext * | sc_ptr | ) |

protected

## Friends And Related Function Documentation

friend class SBAddress

friend

Definition at line 60 of file SBSymbolContext.h.

friend class SBFrame

friend

Definition at line 61 of file SBSymbolContext.h.

friend class SBModule

friend

Definition at line 62 of file SBSymbolContext.h.

friend class SBSymbolContextList

friend

Definition at line 65 of file SBSymbolContext.h.

friend class SBTarget

friend

Definition at line 64 of file SBSymbolContext.h.

friend class SBThread

friend

Definition at line 63 of file SBSymbolContext.h.

The documentation for this class was generated from the following file:

- SBSymbolContext.h